summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2016-09-06 11:04:33 +0000
committerGerrit Code Review <review@openstack.org>2016-09-06 11:04:33 +0000
commitf86e133c9ce9f5f73475a843b08460ffab84301d (patch)
treea47c4c7a504e2ff274224ef0cd41d54e6853b0ef
parentb5833a87236183444589f3f93fba8641eb6c520a (diff)
parent3795c3fe353709b2975781afb7a8d713c66514a0 (diff)
downloadglance_store-f86e133c9ce9f5f73475a843b08460ffab84301d.tar.gz
Merge "Improve tools/tox_install.sh"
-rwxr-xr-xtools/tox_install.sh66
1 files changed, 33 insertions, 33 deletions
diff --git a/tools/tox_install.sh b/tools/tox_install.sh
index 90beef8..a074d24 100755
--- a/tools/tox_install.sh
+++ b/tools/tox_install.sh
@@ -15,41 +15,41 @@ CONSTRAINTS_FILE=$1
shift
install_cmd="pip install"
-if [ $CONSTRAINTS_FILE != "unconstrained" ]; then
-
- mydir=$(mktemp -dt "$LIB_NAME-tox_install-XXXXXXX")
- localfile=$mydir/upper-constraints.txt
- if [[ $CONSTRAINTS_FILE != http* ]]; then
- CONSTRAINTS_FILE=file://$CONSTRAINTS_FILE
- fi
- curl $CONSTRAINTS_FILE -k -o $localfile
- install_cmd="$install_cmd -c$localfile"
-
- if [ $requirements_installed -eq 0 ]; then
- echo "ALREADY INSTALLED" > /tmp/tox_install.txt
- echo "Requirements already installed; using existing package"
- elif [ -x "$ZUUL_CLONER" ]; then
- export ZUUL_BRANCH=${ZUUL_BRANCH-$BRANCH}
- echo "ZUUL CLONER" > /tmp/tox_install.txt
- pushd $mydir
- $ZUUL_CLONER --cache-dir \
- /opt/git \
- --branch $BRANCH_NAME \
- git://git.openstack.org \
- openstack/requirements
- cd openstack/requirements
- $install_cmd -e .
- popd
- else
- echo "PIP HARDCODE" > /tmp/tox_install.txt
- if [ -z "$REQUIREMENTS_PIP_LOCATION" ]; then
- REQUIREMENTS_PIP_LOCATION="git+https://git.openstack.org/openstack/requirements@$BRANCH_NAME#egg=requirements"
- fi
- $install_cmd -U -e ${REQUIREMENTS_PIP_LOCATION}
+mydir=$(mktemp -dt "$LIB_NAME-tox_install-XXXXXXX")
+trap "rm -rf $mydir" EXIT
+localfile=$mydir/upper-constraints.txt
+if [[ $CONSTRAINTS_FILE != http* ]]; then
+ CONSTRAINTS_FILE=file://$CONSTRAINTS_FILE
+fi
+curl $CONSTRAINTS_FILE -k -o $localfile
+install_cmd="$install_cmd -c$localfile"
+
+if [ $requirements_installed -eq 0 ]; then
+ echo "ALREADY INSTALLED" > /tmp/tox_install.txt
+ echo "Requirements already installed; using existing package"
+elif [ -x "$ZUUL_CLONER" ]; then
+ echo "ZUUL CLONER" > /tmp/tox_install.txt
+ pushd $mydir
+ $ZUUL_CLONER --cache-dir \
+ /opt/git \
+ --branch $BRANCH_NAME \
+ git://git.openstack.org \
+ openstack/requirements
+ cd openstack/requirements
+ $install_cmd -e .
+ popd
+else
+ echo "PIP HARDCODE" > /tmp/tox_install.txt
+ if [ -z "$REQUIREMENTS_PIP_LOCATION" ]; then
+ REQUIREMENTS_PIP_LOCATION="git+https://git.openstack.org/openstack/requirements@$BRANCH_NAME#egg=requirements"
fi
-
- edit-constraints $localfile -- $LIB_NAME "-e file://$PWD#egg=$LIB_NAME"
+ $install_cmd -U -e ${REQUIREMENTS_PIP_LOCATION}
fi
+# This is the main purpose of the script: Allow local installation of
+# the current repo. It is listed in constraints file and thus any
+# install will be constrained and we need to unconstrain it.
+edit-constraints $localfile -- $LIB_NAME "-e file://$PWD#egg=$LIB_NAME"
+
$install_cmd -U $*
exit $?